aboutsummaryrefslogtreecommitdiffstats
path: root/net-misc
diff options
context:
space:
mode:
authorWynn Wolf Arbor2020-01-13 15:59:49 +0100
committerWynn Wolf Arbor2020-01-13 15:59:49 +0100
commit90b60b5044587535e792ed5410acbf10a76963e7 (patch)
tree316d681581cb2b3a4218f31e72cab376e70b8252 /net-misc
downloadpramantha-90b60b5044587535e792ed5410acbf10a76963e7.tar.gz
Initial import
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/gandi-cli/Manifest3
-rw-r--r--net-misc/gandi-cli/gandi-cli-1.5.ebuild40
-rw-r--r--net-misc/gandi-cli/metadata.xml7
3 files changed, 50 insertions, 0 deletions
diff --git a/net-misc/gandi-cli/Manifest b/net-misc/gandi-cli/Manifest
new file mode 100644
index 0000000..2b7eb1a
--- /dev/null
+++ b/net-misc/gandi-cli/Manifest
@@ -0,0 +1,3 @@
+DIST gandi-cli-1.5.tar.gz 167825 BLAKE2B a8a045fc94b4b08e6fdd7ac7a61056712d435bab10512c403b917b612ad9401612f3dc9f91f3d61b6af80b9eceaef50be6a1148b51d1c01df27b0b1d54e6db06 SHA512 cdcaf4441c253a465e73e6b108ea2e348d5943308263f3d190ef82279aa340378e9c576d71c5d03cf60e4d7586b0282a5a804078129ec96af34e80d5919d6a89
+EBUILD gandi-cli-1.5.ebuild 831 BLAKE2B 989f0c0bfd47537203e99fc9a1093192e9cf6ba96b3cb6feaa841c2726d7269b14113c015c6d57a2319816ed43a1ba29c0bdc42884f9ef55aaa970a5b589522e SHA512 3338d5167f6d91d33e5c0f4a49f9523a12eed09acc100fd42a1c9e40fd3f9d4dee8598f07492a7e26d3f26f7e01a75970b13262e5b4b7ff2b54ba4f11ecb2882
+MISC metadata.xml 219 BLAKE2B 4017e2b1f6b36f72c186cfeb0955be57076a02d087acfd6caf9b9ec56509b5299be8d40dddaffd04433bb290f6dd35c94c59ac02a4f1ad7e63b13648e465e594 SHA512 555d3bce3f8cd9b4d78f59f494c326d7893f12c1907c1eb92107595886fc4a5e89b8b9fda7f434e021a9eede5dfd6d0c1dfee721c268ccad3d6a1865a92204e0
diff --git a/net-misc/gandi-cli/gandi-cli-1.5.ebuild b/net-misc/gandi-cli/gandi-cli-1.5.ebuild
new file mode 100644
index 0000000..3cb71e1
--- /dev/null
+++ b/net-misc/gandi-cli/gandi-cli-1.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} pypy )
+
+inherit distutils-r1
+
+MY_PN="${PN//-/.}"
+DESCRIPTION="CLI to easily create and manage web resources for your Gandi account."
+HOMEPAGE="https://github.com/Gandi/gandi.cli"
+SRC_URI="https://github.com/Gandi/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/click-7
+ dev-python/requests
+ dev-python/pyyaml
+ dev-python/ipy
+ dev-python/namespace-gandi
+"
+
+DEPEND="dev-python/namespace-gandi"
+
+RESTRICT="mirror"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/net-misc/gandi-cli/metadata.xml b/net-misc/gandi-cli/metadata.xml
new file mode 100644
index 0000000..c544433
--- /dev/null
+++ b/net-misc/gandi-cli/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>wolf@oriole.systems</email>
+ </maintainer>
+</pkgmetadata>